solarOS Organization API

Organization API

List a parent-scoped Activity feed

Lists non-deleted Activities for a supported CRM parent. Required query params: parentType and parentId. Required scope: activities:read.

/api/v1/activities

Lists non-deleted Activities for a supported CRM parent. Required query params: parentType and parentId. Required scope: activities:read.

List a parent-scoped Activity feed. Use an organization API key with activities:read. Check the response envelope and meta.requestId before triggering dependent workflow steps.

Required scopes

activities:read

Parameters

NameInTypeDescription
parentTyperequiredquerycustomer | property | lead | opportunity | caseActivity parent resource family.
parentIdrequiredquerystringsolarOS id of the parent resource.

Request body

This endpoint does not accept a JSON request body.

Responses

200

Activity list envelope

#/components/schemas/OrgApiListEnvelope

401

Missing or invalid organization API key

#/components/schemas/OrgApiError

402

Organization billing access or an endpoint-specific business quota denied the request

#/components/schemas/OrgApiError

403

Missing required scope: activities:read

#/components/schemas/OrgApiError

429

Rate limit exceeded

#/components/schemas/OrgApiError

Errors

401 Missing or invalid organization API key402 Organization billing access or an endpoint-specific business quota denied the request403 Missing required scope: activities:read429 Rate limit exceeded

Static examples

curl -X GET "$SOLAROS_BASE_URL/api/v1/activities" \
  -H "Authorization: Bearer $SOLAROS_API_KEY"